> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rooms

> List all accessible rooms



## OpenAPI

````yaml GET /rooms
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /rooms:
    get:
      tags:
        - room
      summary: List Rooms
      description: List all accessible rooms
      operationId: listRooms
      parameters:
        - in: query
          name: offset
          schema:
            type: integer
          description: >-
            The number of items to skip before starting to collect the result
            set
        - in: query
          name: limit
          schema:
            type: integer
          description: The numbers of items to return
        - in: query
          name: name
          schema:
            type: string
          description: Exact name of the room to search.
        - in: query
          name: layout
          schema:
            type: string
          description: Layout name to search.
        - in: query
          name: is_terminated
          schema:
            type: boolean
          description: Filter rooms by their termination status
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  rooms:
                    type: array
                    items:
                      $ref: '#/components/schemas/Room'
                    example:
                      - id: 000585f36eed9e8fb6b655b4
                        type: private
                        name: Monthly Meeting Room with Design Class
                      - id: 000235f36efd9e8db6bc55b4
                        type: public
                        name: Daily Meet
                      - id: 000935fc6efd9f8db61c35b4
                        type: open
                        name: Free Disgn Class
                  paging:
                    $ref: '#/components/schemas/Paging'
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Room:
      description: Information about room
      required:
        - id
        - type
        - name
      properties:
        id:
          type: string
          example: 000585f36eed9e8fb6b655b4
          description: ID of the room
        application_id:
          type: string
          example: 000585f36eed9e8fb6b655b4
          description: ID of the workspace
        type:
          $ref: '#/components/schemas/RoomType'
        created_user_id:
          type: string
          example: '#DEPRECATED#'
          description: '*[Deprecated]* ID of the user who create this room'
        name:
          type: string
          example: Weekly Meet
          description: Human readable name of the room
        thumbnail_url:
          type: string
          example: https://example.url/thumbnail.png
          description: Generated thumbnail for this room
        last_thumbnail_updated_at:
          type: string
          example: '#DEPRECATED#'
          description: '*[Deprecated]* Last update time of generated thumbnail'
          format: date-time
        room_template_id:
          type: string
          example: '#DEPRECATED#'
          description: >-
            *[Deprecated]* **Use `layout` instead.** ID of the room template
            used by this room
        layout:
          type: string
          example: SixAll
          description: How the room looks
        record:
          type: boolean
          description: Whether this room is recorded or not.
        meeting_time:
          type: integer
          example: 200000
          description: Total meeting time in seconds
        is_terminated:
          type: boolean
          example: '#DEPRECATED#'
          description: >-
            *[Deprecated]* **Use `terminated_at` instead.** Whether this room is
            terminated or not. If true, not available to join the room
        is_ephemeral:
          type: boolean
          example: '#DEPRECATED#'
          description: >-
            *[Deprecated]* Whether this room is for temporary or not. If true
            and all the members of this room leave, the room will be closed
        is_recurring:
          type: boolean
          example: '#DEPRECATED#'
          description: >-
            *[Deprecated]* Whether this meeting occurs regularly or not. If
            true, it will be reopened according to a predefined schedule.
        started_at:
          example: '2023-01-01T01:00:00.000Z'
          type: string
          description: The meeting is started at specified time format
          format: date-time
        terminated_at:
          example: '2023-01-01T01:00:00.000Z'
          type: string
          description: The room is terminated at specified time format
          format: date-time
        updated_at:
          example: '2023-01-01T01:00:00.000Z'
          type: string
          description: The room settings are changed at specified time format
          format: date-time
        created_at:
          example: '2023-01-01T01:00:00.000Z'
          type: string
          description: The room is created at specified time format
          format: date-time
    Paging:
      description: Details of pagination used for current responses.
      type: object
      required:
        - limit
        - offset
        - total
      properties:
        limit:
          type: number
          default: 30
        offset:
          type: number
          default: 0
        total:
          type: number
          example: 0
    RoomType:
      type: string
      description: >
        Room can have three different type


        * `open`    - anyone who obtain this room url can join and replay the
        meet.

        * `public`  - any member who haved joined in same worksapce can join and
        replay the meet.

        * `private` - only invited workspace user can join and replay the meet.
      enum:
        - open
        - public
        - private
      example: public
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````